function [ A ] = A_matrix( X )
% The input X is: X=[x,y,u,v,GM]

if length(X)~=5
    error('The size of the input must be 5x1');
end

A=zeros(5,5);

% For Simplicity rename variables
x=X(1);
y=X(2);
u=X(3);
v=X(4);
mi=X(5);
r=sqrt(x^2+y^2);

% First two row
A(1,3)=1;
A(2,4)=1;

% Third row
A(3,1)=-mi/r^3+3*mi*x^2/(r^5);
A(3,2)=3*mi*x*y/(r^5);
A(3,5)=-x/(r^3);

% Fourth row
A(4,1)=3*mi*x*y/(r^5);
A(4,2)=-mi/(r^3)+3*mi*y^2/(r^5);
A(4,5)=-y/(r^3);





end