function Ht = H_tilde(X,Xs)
Ht = zeros(1,5);

x=X(1);
y=X(2);
u=X(3);
v=X(4);
rho = sqrt((x-Xs)^2+y^2);

Ht(1,1) = u/rho-(x-Xs)*((x-Xs)*u+(y)*v)/rho^3;
Ht(1,2) = v/rho-(y)*((x-Xs)*u+(y*v))/rho^3;
Ht(1,3) = (x-Xs)/rho;
Ht(1,4) = y/rho;

end

